%define oname python-Levenshtein

Summary: Levenshtein Python extension and C library
Name: python-levenshtein
Version: 0.12.0
Release: %mkrel 2
Source0: https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
License: GPLv2+
Group: Development/Python
Url: http://github.com/ztane/python-Levenshtein
BuildRequires: python-devel
BuildRequires: python-setuptools
Provides: %{oname} = %{version}-%{release}

%description
The Levenshtein Python C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%package -n python3-levenshtein
Group: Development/Python
Summary: Levenshtein Python 3 extension and C library
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Provides: python3-Levenshtein = %{version}-%{release}

%description -n python3-levenshtein
The Levenshtein Python 3 C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%prep
%setup -q -n %{oname}-%{version}
rm -rf python_Levenshtein.egg-info
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

# https://github.com/ztane/python-Levenshtein/issues/20
rm -f %{buildroot}/%{python2_sitearch}/Levenshtein/_levenshtein.c
rm -f %{buildroot}/%{python2_sitearch}/Levenshtein/_levenshtein.h
rm -f %{buildroot}/%{python3_sitearch}/Levenshtein/_levenshtein.c
rm -f %{buildroot}/%{python3_sitearch}/Levenshtein/_levenshtein.h
# https://github.com/ztane/python-Levenshtein/issues/21
rm -f %{buildroot}/%{python2_sitearch}/Levenshtein/StringMatcher.p*
rm -f %{buildroot}/%{python3_sitearch}/Levenshtein/StringMatcher.py
rm -f %{buildroot}/%{python3_sitearch}/Levenshtein/__pycache__/StringMatcher.*

%files
%doc README.rst HISTORY.txt
%doc docs/Levenshtein.html
%doc Levenshtein/StringMatcher.py
%{python2_sitearch}/*

%files -n python3-levenshtein
%doc README.rst HISTORY.txt
%doc docs/Levenshtein.html
%doc Levenshtein/StringMatcher.py
%{python3_sitearch}/*





%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.12.0-2.mga6
+ Revision: 962236
- Mageia 6 Mass Rebuild

* Sat Oct 31 2015 philippem <philippem> 0.12.0-1.mga6
+ Revision: 896959
- update to 0.12.0

* Sat Oct 10 2015 tv <tv> 0.11.2-6.mga6
+ Revision: 888939
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-5.mga5
+ Revision: 742012
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.11.2-4.mga5
+ Revision: 728949
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 688121
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.11.2-2.mga5
+ Revision: 628744
- Rebuild for new Python

* Fri Mar 07 2014 philippem <philippem> 0.11.2-1.mga5
+ Revision: 600889
- Update to 0.11.2

* Fri Dec 27 2013 philippem <philippem> 0.11.1-1.mga4
+ Revision: 560962
- Update to 0.11.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-6.mga4
+ Revision: 543753
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-5.mga4
+ Revision: 498849
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-4.mga3
+ Revision: 379042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 20 2011 dmorgan <dmorgan> 0.10.1-3.mga1
+ Revision: 88993
- imported package python-levenshtein

  + rtp <rtp>
    - add missing -lm on link command line


* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.10.1-2mdv2011.0
+ Revision: 590603
- rebuild for python-2.7
- drop obsolete %%py_requires macro and add python-devel as BR

* Thu May 21 2009 Jérôme Brenier <incubusss@mandriva.org> 0.10.1-1mdv2010.0
+ Revision: 378552
- fix doc
- import python-levenshtein


